const express = require('express');
const mysql = require('mysql2');


const app = express();
app.use(express.json())

// MySQL Database connection setup
const connection = mysql.createConnection({
  host: 'mysql',
  user: 'corps_directory_dev',
  database: 'corps_directory_db',
  password: 'corps_db_password'
});


// Connect to the database
connection.connect((err) => {
  if (err) {
    console.error('Error connecting to MySQL:', err.message);
    return;
  }
  console.log('Connected to MySQL');
});

const port = process.env.PORT || 3000;


app.get('/', (req, res) => {
  res.send('Hello World!');
});


app.listen(port, () => {
  console.log(`Server is running on port ${port}`);
});
